// Copyright (C) 2002-2008 - DIGITEO - Claude Gomez
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function orthonormal(a,varargin)
  [lhs,rhs]=argn();
  if rhs==0 then a=gca(); end
  if rhs>1 then error("The function ""orthonormal"" must have at most one argument."); end
  if type(a)<>9 then 
    error("The first argument of the function ""orthonormal"" must be an object of type ""Axes"".");
  end
  if a.isoview=="off" then a.isoview="on"; return; end;
  if a.isoview=="on" then a.isoview="off"; return; end;
endfunction

