// Copyright (C) 2002-2009 - DIGITEO - Claude Gomez
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function r=element_of(elem,a_set,varargin)
  [lhs,rhs]=argn();
  if rhs<>2 then error("The function ""element_of"" must have two arguments."); end
  if type(elem)<>10|size(elem,"*")<>1 then 
    error("The first argument of the function ""element_of"" must be a character string.");
  end
  if typeof(a_set)<>"a_set" then
    error("The second argument of the function ""element_of"" must be a set.");
  end
  if find(a_set.elem==elem)<>[] then r=%T; return; end
  r=%F;
endfunction
