// Copyright (C) 2002-2009 - DIGITEO - Claude Gomez
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function s=intersection(a_set1,a_set2,varargin)
  [lhs,rhs]=argn();
  if rhs<>2 then error("The function ""intersection"" must have two arguments."); end
  if typeof(a_set1)<>"a_set"|typeof(a_set2)<>"a_set" then
    error("The arguments of the function""intersection"" must be sets.");
  end
  if size(a_set1)>size(a_set2) then
    v1=a_set2.elem;
    v2=a_set1.elem;
  else
    v1=a_set1.elem;
    v2=a_set2.elem;
  end
  v=[];
  for i=1:size(v1,"*")
    if find(v1(i)==v2)<>[] then
      v=[v;v1(i)];
    end
  end
  s=mlist(["a_set","elem"],v);
endfunction

