// Copyright (C) 2002-2009 - DIGITEO - Claude Gomez
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function s=remove(elem,a_set,varargin)
  [lhs,rhs]=argn();
  if rhs<>2 then error("The function ""remove"" must have two arguments."); end
  if type(elem)<>10|size(elem,"*")<>1 then 
    error("The first argument of the function ""remove"" must be a character string.");
  end
  if typeof(a_set)<>"a_set" then
    error("The second argument of the function ""remove"" must be a set.");
  end
  v=a_set.elem;
  for i=1:size(v,"*")
    if v(i)==elem then
      v(i)=[]; break;
    end
  end
  s=mlist(["a_set","elem"],v);
endfunction