// Copyright (C) 2002-2009 - DIGITEO - Claude Gomez
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function r=subset_of(a_set1,a_set2,varargin)
  [lhs,rhs]=argn();
  if rhs<>2 then error("The function ""subset_of"" must have two arguments."); end
  if typeof(a_set1)<>"a_set"|typeof(a_set2)<>"a_set" then
    error("The arguments of the function ""subset_of"" must be sets.");
  end
  r=%F; 
  n=size(a_set1);
  if n>size(a_set2) then
    return;
  end
  v1=a_set1.elem; v2=a_set2.elem;
  for i=1:n
    if find(v1(i)==v2)==[] then
      return;
    end
  end
  r=%T;
endfunction