// Copyright (C) 2002-2008 - DIGITEO - Farid Belahcene, Claude Gomez
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function r=factorize(n,varargin)
  [lhs,rhs]=argn();
  if rhs<>1 then error("The function ""factorize"" must have one argument."); end
  if type(n)<>1|size(n,"*")<>1|int(n)-n<>0|n<0 then 
    error("The function ""factorize"" must be a positive integer or zero.");
  end
  c=3.1;
  mem=int(sqrt(n))*c;
  a=alloc_school(mem);
  if a<>%T then
    error("The argument of the function ""factorize"" must be smaller than "+sprintf("%.0f",int(a/c)^2)+".")
  end
  r=factor(n)
endfunction
