// Copyright (C) 2002-2008 - DIGITEO - Farid Belahcene, Claude Gomez
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function r=list_primes(n,varargin)
  [lhs,rhs]=argn();
  if rhs<>1 then error("The function ""list_primes"" must have one argument."); end
  if type(n)<>1|size(n,"*")<>1|int(n)-n<>0|n<0 then 
    error("The function ""list_primes"" must be a positive integer or zero.");
  end
  c=3.1;
  a=alloc_school(n*c);
  if a<>%T then
    error("The argument of the function ""list_primes"" must be less than "+sprintf("%.0f",int(a/c))+".");
  end
 	r=1:n;
	i=2;
	while i<=sqrt(n)
		if r(i)<>0
			r(2*r(i):r(i):n)=0;
  		end
  		i=i+1;
  end
 	r(r<=1)=[];
endfunction