// Copyright (C) 2002-2008 - DIGITEO - Claude Gomez
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function r=normal_prob(t,xbar,sigma,varargin)
  [lhs,rhs]=argn();
  if rhs<>3 then error("The function ""normal_prob"" must have three arguments."); end
  if type(sigma)<>1|size(sigma,"*")<>1|sigma<=0 then
    error("The third argument of the function ""normal_prob"" must be a positive .");
  end
  if type(t)<>1|size(t,"*")<>1|type(xbar)<>1|size(xbar,"*")<>1 then
    error("The arguments of the function ""normal_prob"" must be numbers.");
  end
  r=cdfnor("PQ",t,xbar,sigma)
endfunction
