// Copyright (C) 2002-2008 - DIGITEO - Claude Gomez
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function r=random_real(n,a,b,varargin)
  [lhs,rhs]=argn();
  if rhs<>3 then error("The function ""random_real"" must have three arguments."); end
  if type(n)<>1|size(n,"*")<>1|int(n)-n<>0|n<1 then
    error("The first argument of the function ""random_real"" must be a positive integer.");
  end
  if type(a)<>1|size(a,"*")<>1|type(b)<>1|size(b,"*")<>1 then
    error("The arguments of the function ""random_real"" must be numbers.");
  end
  if a>b then error("The second argument of the function ""random_real"" must be less than the third argument."); end
  r=grand(1,n,"unf",a,b);
endfunction

