// Copyright (C) 2002-2009 - DIGITEO - Claude Gomez
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function s=complement(a_set1,a_set2,varargin)
  [lhs,rhs]=argn();
  if rhs<>2 then error("The function ""complement"" must have two arguments."); end
  if typeof(a_set1)<>"a_set"|typeof(a_set2)<>"a_set" then
    error("The arguments of the function ""complement"" must be sets.");
  end
  v1=a_set1.elem; s=a_set2; 
  for e=v1'
    if ~element_of(e,s) then
      error("The first set must be a subset of the second set.");
    end
    s=remove(e,s);
  end
endfunction