// Copyright (C) 2002-2008 - DIGITEO - Claude Gomez
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function r=sort(x,sense,varargin)
  [lhs,rhs]=argn();
  if rhs>2 then error("The function ""sort"" must have at most two arguments."); end
  if type(x)<>1&type(x)<>10 then
    error("The first argument of the function ""sort"" must be a vector of numbers or a character string.");
  end
  if rhs==2 then
    if sense<>">"&sense<>"<" then
      error("The second argument of the function ""sort"" must be either "">"" or ""<"".");
    end
  end
  if rhs==1 then sense=">"; end
  if sense==">" then
    r=gsort(x,"g","i");
  else
    r=gsort(x,"g","d");
  end
endfunction

